var data;

function preload() {
  data = loadTable('dc-wikia-data.csv', 'csv', 'header');
}

function setup() {
  createCanvas(windowWidth, windowHeight);
  // console.log(data);
  // console.log(data.getRowCount() + " total rows in table");
  // console.log(data.getColumnCount() + " total columns in table");
  // console.log(data.getColumn("name"));
  noLoop();
}

function draw() {
  background('white');
  
  var firstName = data.getString(0, 1);
  text(firstName, 100, 100);

  for (var i=0; i < data.getRowCount(); i++) {
    var name = data.getString(i, 1);
    var appearance = int(data.get(i, 10));
    var gender = data.getString(i, 7);
    if (gender == 'Male Characters') {
      fill('purple');
    } else {
      fill('orange');
    }
    var s = map(appearance, 0, 3093, 0, 100);
    ellipse(random(width), random(height), s, s);
  }
}